Create a node group for a Kubernetes cluster

POST/v1/kubernetes_clusters/{kubernetes_cluster_id}/node_groups

Send a POST request to the /v1/kubernetes_clusters/{kubernetes_cluster_id}/node_groups endpoint to create a node group. Specify the cluster in the path parameter and fill in the group details in the request body.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

kubernetes_cluster_id*string

A unique identifier of a Kubernetes cluster to create a node group in. To list all cluster IDs, use the relevant request.

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/kubernetes_clusters/JxboZzag/node_groups" \  -H "Content-Type: application/json" \  -d '{    "name": "test",    "description": "test description"  }'
{  "id": "QBeXWdyK",  "name": "test",  "description": "test description",  "node_count": 0,  "created_at": "2026-05-28T07:00:47.926Z",  "updated_at": "2026-05-28T07:00:47.926Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "The cluster already has a node group with this name",  "code": "NODE_GROUP_DUPLICATION"}
{  "message": "Validation failed",  "code": "UNPROCESSABLE_ENTITY",  "errors": {    "name": "Is in invalid format. Use Latin letters in lowercase, digits, and a hyphen. A minimum of 3 and a maximum of 63 characters."  }}